#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Log-Log4perl
Version		:	1.49
Release		:	14.8.0.0%{?dist}
Summary		:	Log4j implementation for Perl
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

#-----------------------------------------------------------------------------
%description
Log::Log4perl lets you remote-control and fine-tune the
logging behaviour of your system from the outside. It
implements the widely popular (Java-based) Log4j logging
package in pure Perl.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_bindir}/l4p-tmpl
%{_datadir}/perl5/core_perl/Log/Log4perl.pm
%{_datadir}/perl5/core_perl/Log/Log4perl/*.pm
%{_datadir}/perl5/core_perl/Log/Log4perl/Appender/*.pm
%{_datadir}/perl5/core_perl/Log/Log4perl/Config/*.pm
%{_datadir}/perl5/core_perl/Log/Log4perl/Filter/*.pm
%{_datadir}/perl5/core_perl/Log/Log4perl/JavaMap/*.pm
%{_datadir}/perl5/core_perl/Log/Log4perl/Layout/*.pm
%{_datadir}/perl5/core_perl/Log/Log4perl/Layout/PatternLayout/*.pm
%{_datadir}/perl5/core_perl/Log/Log4perl/Util/*.pm
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
